Ubuntu

Sync simplejson 3.3.0-2 (main) from Debian experimental (main)

Reported by Jeremy Bicha on 2013-06-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
simplejson (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync simplejson 3.3.0-2 (main) from Debian experimental (main)

Explanation of the Ubuntu delta and why it can be dropped:
simplejson (3.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/rules: Enable tests.
  * Separate docs into its own package:
    - debian/python-simplejson-doc.install: Add.
  * Add python3 support:
    - debian/control: Add python3-simplejson binary package. Build-Depend
      on python3-all-dev. Add X-Python3-Version: >= 3.3.
    - debian/python3-simplejson.install: Add.
    - debian/rules: Enable Python 3.

The Ubuntu version posted today basically does the same thing as
the Debian version that had already been posted to experimental except
that the Debian version also adds -dbg packages and uses the significantly
simplified dh7/pybuild debian/rules.

Changelog entries since current saucy version 3.3.0-0ubuntu1:

simplejson (3.3.0-2) experimental; urgency=low

   * Fix FTBFS due to missing docs

 -- Piotr Ożarowski <email address hidden> Thu, 13 Jun 2013 23:20:24 +0200

simplejson (3.3.0-1) experimental; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <email address hidden> Tue, 14 May 2013 23:42:10 +0200

simplejson (3.2.0-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <email address hidden> Thu, 02 May 2013 00:47:03 +0200

simplejson (3.1.3-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <email address hidden> Sun, 07 Apr 2013 21:02:35 +0200

simplejson (3.1.2-1) experimental; urgency=low

  * New upstream release
  * support_pydebug_interpreters_in_tests patch removed, applied upstream

 -- Piotr Ożarowski <email address hidden> Wed, 20 Mar 2013 22:19:25 +0100

simplejson (3.1.0-1) experimental; urgency=low

  * New upstream release
  * New binary packages:
    - python-simplejson-doc
    - python-simplejson-dbg
    - python3-simplejson
    - python3-simplejson-dbg
    - pypy-simplejson
  * Build depend on python3-all-d{ev,bg} and pypy (for new packages)
  * Rewrite debian/rules to use dh sequencer and pybuild build system
  * Add support_pydebug_interpreters_in_tests patch
    - bump minimum required Python version to 2.6
      (due to test.test_support.strip_python_stderr)

 -- Piotr Ożarowski <email address hidden> Mon, 18 Mar 2013 21:34:49 +0100

Jeremy Bicha (jbicha) on 2013-06-14
Changed in simplejson (Ubuntu):
importance: Undecided → Wishlist
Sebastien Bacher (seb128) wrote :

This bug was fixed in the package simplejson - 3.3.0-2
Sponsored for Jeremy Bicha (jbicha)

---------------
simplejson (3.3.0-2) experimental; urgency=low

  * Fix FTBFS due to missing docs

 -- Piotr Ożarowski <email address hidden> Thu, 13 Jun 2013 23:20:24 +0200

simplejson (3.3.0-1) experimental; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <email address hidden> Tue, 14 May 2013 23:42:10 +0200

Changed in simplejson (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) wrote :

Hey, I'm reopening this. pypy is in universe so this package won't build until that build-dependency is removed. So I'm going to need sponsorship again. Thanks!

New patch is at http://paste.ubuntu.com/5764930/plain/

Changed in simplejson (Ubuntu):
status: Fix Released → New
Changed in simplejson (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simplejson - 3.3.0-2ubuntu1

---------------
simplejson (3.3.0-2ubuntu1) saucy; urgency=low

  * Don't build-depend on pypy since it's in universe and drop
    pypy-simplejson package (lp: #1190829)
 -- Jeremy Bicha <email address hidden> Fri, 14 Jun 2013 10:38:39 -0400

Changed in simplejson (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers